import React from 'react';
import ReactDOM from 'react-dom';
import { range } from 'd3';

//File Imports
import { Face } from './Face';

const width = 160;
const height = 160;
const array = range( 6 * 3 );

const App = () => array.map(() => (
  <Face
    width = {width}
    height = {height}
    centerX = {width / 2}
		centerY = {height / 2}
		strokeWidth = {3 + Math.random() * 20}
    fill = {"hsl(" + Math.random() * 360 + "," + (Math.floor(Math.random() * 100 + 1)) + "%,50%)"} 
		eyeOffsetX = {20 + Math.random() * 5}
		eyeOffsetY = {25}
		eyeRadius = {5 + Math.random() * 10}
		mouthWidth = {5 + Math.random() * 10}
		mouthRadius = {20 + Math.random() * 20}
  />
));

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);